function [mov] = mutVal(mov, prob)
    % Muterer hver B val uniformt, med sansynlighet 0<p<1
    % Hvis ikke usability, dropper mut på aktuell B
    
    noB = size(mov, 1);
    
    
    
    for ch = 1 : 2
        
        for b = 1 : noB
            if ~isnan(mov(b, ch + 1)) % Muterer bare verdier
                r = rand(); % Om skal prøve å mutere eller ikke
                if r > 1 - prob % Skal prøve å mutere
                    rVal = 2*rand(1) - 1; % -1 < 1
                    
                    nyMov = mov; % copy old
                    nyMov(b, ch+1) = nyMov(b, ch+1) + rVal; % Adderer ikke kvant verdi
                    
                    % Kvantiserer til possVal = [-1 -0.75 -0.5 -0.25 0 0.25 0.5 0.75 1]; % 9 stk
                    nyMov(b, ch+1) = round(nyMov(b, ch+1)*4)/4;
                    nyMov(b, ch+1) = min(nyMov(b, ch+1), 1);
                    nyMov(b, ch+1) = max(nyMov(b, ch+1), -1);
                    
                    ok = testMovForUsability(nyMov);
                    if ok == 1
                        mov = nyMov;
                    end
                end % har evt mutert
            end
        end % mutere
        
    end % ch
    
    
    
    
end